=== debian/control ===
Source: ros-iron-demo-nodes-py
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-pep257 <!nocheck>, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-demo-nodes-py
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-iron-ament-index-python, ros-iron-example-interfaces, ros-iron-rcl-interfaces, ros-iron-rclpy, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Python nodes which were previously in the ros2/examples repository but are now just used for demo purposes.
